/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */
/* ============= General Style =================== */
.padding-inline-5{
    padding-inline: 5% !important;
}
.page-header{
    display: none;
}
.gapBetween > div{
    gap: 40px !important;
}
.elementor-image-box-title{
    margin-top: 0px;
}
.deviderHeading {
    margin-top: -10px;
}
ul{
    padding-left: 14px !important;
}
.elementor-icon-list-items{
    padding-left: 0px !important;
}
.ptb-50{
    padding-block: 50px;
}
.pt-50{
    padding-top: 50px;
}
.pb-50{
    padding-bottom: 50px;
}
.btnBlue a{
    font-family: 'Lato' !important;
    font-weight: 700 !important;
    background: radial-gradient(50% 139.36% at 50% 50%, #4E84DD 0%, #2A4777 100%) !important;
    border-radius: 5px;
	transition: 0.5s ease all;
	border: 2px solid transparent;
	
}
.btnYellow a{
    font-family: 'Lato' !important;
    font-weight: 700 !important;
    background: radial-gradient(50% 139.36% at 50% 50%, #FFBF4D 0%, #D89010 100%) !important;
    border-radius: 5px;
	transition: 0.5s ease all;
	border: 2px solid transparent;
}
.btnBlue a:hover{
	background: radial-gradient(50% 139.36% at 50% 50%, #FFBF4D 0%, #D89010 100%) !important;
	transition: 0.5s ease all;
}
.btnYellow a:hover{
	background: radial-gradient(50% 139.36% at 50% 50%, #4E84DD 0%, #2A4777 100%) !important;
	transition: 0.5s ease all;
}
.btnYellow.white a:hover{
	background: transparent !important;
	border-color: #fff !important;
}
.imagefullHeight .elementor-element {
    position: absolute;
    height: 100%;
    width: 100%;
}

.imagefullHeight .elementor-element .elementor-widget-container,.imagefullHeight .elementor-element .elementor-widget-container  img {
    height: 100%;
    width: 100%;
    object-fit: cover;
    border-radius: 10px;
}
/* ============= General Style =================== */
/* =============== Header  ===================== */
.elementor-location-header{
    position: relative;
    z-index: 999;
}
.topbar .elementor-icon-list-text {
    text-decoration: underline;
}
.mainHeader .sub-menu {
    padding: 15px !important;
}
.mainHeader .elementor-nav-menu--dropdown li:first-child a,
.mainHeader .elementor-nav-menu--dropdown li:last-child a,
.mainHeader .elementor-nav-menu--dropdown li a{
    border-radius: 5px !important;
}
.mainHeader .elementor-nav-menu{
	padding:0px !important;
}
.mainHeader .headerMenuCol > div {
    flex-wrap: nowrap;
}
.mainHeader .mainLogoHeader {
    margin-right: auto;
}
.mainHeader .btnBlue a{
	width: max-content;
}
/* ============= Event Sec ================ */
.eventSec > .elementor-container {
    gap: 30px;
}
.eventSec .eventBox .elementor-widget-wrap{
    margin-top: -150px !important;
}
.eventSec .eventBox .elementor-widget-wrap {
    padding-bottom: 80px !important;
    position: relative;
}

.eventSec .eventBox .elementor-widget-wrap .btnBlue {
    position: absolute;
    bottom: 40px;
    width: 100%;
    left: 50%;
    transform: translateX(-50%);
    padding-inline: 30px;
}
/* ============== About Sec ================= */
.aboutSec .gallery {
    display: grid !important;
    grid-template-columns: 1fr 1.3fr;
    border: 2px solid #f8ba4c;
    border-radius: 10px;
}
.aboutSec .gallery .gallery-item {
    width: 100% !important;
    max-width: 100% !important;
    height: 100%;
}
.aboutSec .gallery .gallery-item .gallery-icon,.gallery .gallery-item .gallery-icon img {
    height: 100%;
    width: 100%;
    object-fit: cover;
}
/* ============== Mebers Sec ================== */
.members .elementor-widget-wrap {
    display: grid !important;
    grid-template-columns: repeat(3, 1fr);
    gap: 35px 30px;
	padding-inline: 40px !important;
}
.members .elementor-image-box-wrapper .elementor-image-box-img {
    display: flex;
    align-items: center;
	width: 100% !important;
	height: 100% !important;
	max-width: 160px;
}
.members .elementor-widget-wrap .elementor-image-box-title {
    margin-block: 0px;
}
.members .elementor-image-box-wrapper .elementor-image-box-img{
	aspect-ratio: 1;
}
.members .elementor-image-box-wrapper .elementor-image-box-img a,
.members .elementor-image-box-wrapper .elementor-image-box-img img{
    display: inline-block;
    width: 100%;
    height: 100%;
}

.members .elementor-image-box-wrapper .elementor-image-box-img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.members .elementor-image-box-wrapper .elementor-image-box-content {
    width: calc(100% - 140px );
}
/* ============== Member Directory =============== */
.leadersDirBoxes > .elementor-widget-wrap {
    display: grid !important;
    grid-template-columns: repeat(4, 1fr);
    gap: 40px 20px;
}
.leadersDirBoxes .memberBox figure {
    width: 100%;
    height: 100%;
    margin: 0 !important;
    aspect-ratio: 0.9;
    border-radius: 5px;
	box-shadow: 0 0 2px 0px #0000003d
}

.leadersDirBoxes .memberBox figure img {
    height: 100%;
    width: 100%;
    object-fit: cover;
    vertical-align: bottom;
	 border-radius: 5px;
}

.leadersDirBoxes .elementor-image-box-content {
    box-shadow: 0px 4px 4px 0px #00000040;
    border: 3px solid #ffffff;
    border-radius: 10px;
    background: #2A4777;
    margin-top: -40px;
    position: relative;
    width: 90% !important;
    margin-inline: auto;
    padding: 15px 10px;
    height: 100%;
    min-height: 115px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}
.leadersDirBoxes .elementor-image-box-content .elementor-image-box-title {
    font-size: 22px !important;
}
/* ============ Gallery Sec =============== */
.gallerySec .elementor-gallery-title.elementor-item-active,
.gallerySec .elementor-gallery-title:hover{
    background: radial-gradient(50% 139.36% at 50% 50%, #4E84DD 0%, #2A4777 100%) !important;
	transition: 0.5s ease all;
}

.gallerySec .elementor-gallery-title {
    border-radius: 5px !important;
    border: 2px solid;
    overflow: hidden;
}
.gallerySec .e-gallery-masonry .e-gallery-image {
    border-radius: 5px;
    overflow: hidden;
}
/* ===================  Club Sec========================= */
.clubMeetingSec .elementor-container  {
    gap: 20px;
}
.clubMeetsLeftCol > .elementor-widget-wrap {
    flex-direction: column;
    justify-content: space-between;
}
.meetingHeadings > .elementor-widget-wrap,.meetingContents > .elementor-widget-wrap {
    display: grid !important;
    grid-template-columns: 1fr 1fr;
    gap: 20px;
}
.clubMeetingSec .meetingHeadings .elementor-widget-heading {
    margin-bottom: 0px !important;
}
.clubMeetingSec .clubBox,.clubMeetingSec .meetingInfo {
    border: 1px solid #fff;
    padding: 20px;
}

.clubMeetingSec .clubBox b,.clubMeetingSec  .meetingInfo b,
.clubMeetingSec .clubBox strong,.clubMeetingSec .meetingInfo strong {
    color: #ffbf4d;
}

.clubMeetingSec .meetingInfo .elementor-widget-container > p {
    margin-bottom: 5px;
}
/* ============ Inner page ============ */
.clubMeetspage .meetingHeadings > .elementor-widget-wrap,
.clubMeetspage .meetingContents > .elementor-widget-wrap {
    grid-template-columns: 0.4fr 1fr;
    gap: 20px;
}
/* ================= Footer =================== */
.mainFooter .elementor-container {
    gap: 140px;
}
.footerMenu nav {
    justify-content: center;
}
.footerMenu ul {
    display: grid !important;
    grid-template-columns: 1fr 1fr;
    gap: 20px 80px;
    width: 100%;
    margin-left: 15px;
}
.footerMenu ul li {
    margin: 0 !important;
}
.footerMenu ul li:first-child a{
	padding-left: 10px !important;
}
.document_detail ul{
    justify-content: space-between !important;
}

.map_page .i4ewOd-pzNkMb-haAclf {
   top: -65px !important;
}
/* ================ Responsive ================== */
@media screen and (max-width:1200px){
	.mainFooter .elementor-container{
		flex-wrap: nowrap !important;
		gap: 40px;
	}
	.mainFooter .elementor-container {
		gap: 40px;
		justify-content: space-between;
	}
	.footerMenu ul{
		gap: 20px 25px;
    	margin-left: 0;
	}
	.members .elementor-widget-wrap {
		grid-template-columns: repeat(2, 1fr);
		padding-inline: 0px !important;
	}
	.members .elementor-widget-wrap .memberBox{
		width: 100% !important;
	}
}
@media screen and (max-width: 1025px){
	.eventSec .eventBox .elementor-widget-wrap{
		margin-top: 0 !important;
	}
	.leadersDirBoxes > .elementor-widget-wrap .memberBox{
		width: 100% !important;
	}
	.leadersDirBoxes > .elementor-widget-wrap {
		grid-template-columns: repeat(2, 1fr);
	}
	.clubMeetingSec .memberBox {
		width: 33.33% !important;
	}
	.clubMeetingSec .memberBox .elementor-image-box-wrapper {
		flex-direction: column !important;
		text-align: center !important;
	}
	.gallerySec .elementor-gallery__titles-container {
		gap: 20px;
	}

	.gallerySec .elementor-gallery__titles-container .elementor-item {
		margin: 0px;
	}
	.imagefullHeight .elementor-element {
		position: unset;
	}
	.imagefullHeight .elementor-widget-wrap {
		padding: 0px !important;
		padding-bottom: 20px !important;
	}
}
@media screen and (max-width: 991px){
	.mainFooter .elementor-container{
		flex-wrap: wrap !important;
	}
	.clubMeetspage .meetingHeadings > .elementor-widget-wrap, .clubMeetspage .meetingContents > .elementor-widget-wrap {
		grid-template-columns: 1fr;
		gap: 20px;
		margin-bottom:25px;
	}
}
@media screen and (max-width: 767px){
	.members .elementor-image-box-wrapper .elementor-image-box-img{
		margin-inline: unset !important;
		margin-bottom: 20px;
	}
	.meetingHeadings > .elementor-widget-wrap, .meetingContents > .elementor-widget-wrap{
		grid-template-columns: 1fr;
		gap: 20px;
	}
	.leadersDirBoxes > .elementor-widget-wrap {
		grid-template-columns: repeat(2, 1fr);
	}
}
@media screen and (max-width: 640px){
	.members .elementor-widget-wrap {
		grid-template-columns: repeat(1, 1fr);
	}
	.clubMeetingSec .memberBox {
		width: 49% !important;
	}
}
@media screen and (max-width: 576px){
	.leadersDirBoxes > .elementor-widget-wrap {
		grid-template-columns: repeat(1, 1fr);
	}
	.members .elementor-widget-wrap .elementor-image-box-wrapper {
		text-align: center !important;
		justify-content: center;
		display: flex;
		flex-direction: column;
		gap: 10px;
		align-items: center;
	}
	.mainHeader .btnBlue a{
		padding: 8px 10px!important;
	}
	
}
@media screen and (max-width: 480px){
	.clubMeetingSec .memberBox {
		width: 100% !important;
	}
}
.pum-theme-1972 .pum-container, .pum-theme-lightbox .pum-container{
	padding:0 !important;
}
.title {
    font-size: 24px; /* Change as needed */
    font-weight: 600;
}

.event{
    display:flex;
    align-items:center;
    gap:12px; /* Space between text and button */
    flex-wrap:wrap; /* Remove this line if you never want it to wrap */
}

.map-btn{
    display:inline-block !important;
    width: auto !important;
}